package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;


import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class AsuransiNakerVOVO
 * 
 * @author Generator
 */
public class AsuransiNakerVO  extends BaseTransactionVO{
@ManyToOne
	 @JoinColumn(name = "NamaPegawaiFk")
	 @NotNull(message = "Nama Pegawai Harus Diisi")
	 @Caption(value = "Nama Pegawai")
	private NamaPegawaiVO namaPegawai;
	public NamaPegawaiVO getNamaPegawai() {
		return namaPegawai;
	}
	public void setNamaPegawai(NamaPegawaiVO namaPegawai) {
		this.namaPegawai = namaPegawai;
	}
	@Column(name = "NamaPegawaiFk", insertable=false,updatable=false)
	private String namaPegawaiId;

	@Column(name = "Nip", nullable = false , length = 100)
	 @Caption(value = "Nip")
	private String nip ;
	public String getNip() {
		return nip ;
	}
	public void setNip(String nip ) {
		this.nip  = nip ;
	}

	@Column(name = "Nomorpolis", nullable = false , length = 100)
	 @Caption(value = "Nomorpolis")
	private String nomorpolis ;
	public String getNomorpolis() {
		return nomorpolis ;
	}
	public void setNomorpolis(String nomorpolis ) {
		this.nomorpolis  = nomorpolis ;
	}

	@Column(name = "TanggalLahir", nullable = false , length = 100)
	 @Caption(value = "TanggalLahir")
	private Date tanggalLahir ;
	public Date getTanggalLahir() {
		return tanggalLahir ;
	}
	public void setTanggalLahir(Date tanggalLahir ) {
		this.tanggalLahir  = tanggalLahir ;
	}

@ManyToOne
	 @JoinColumn(name = "NamaAsuransiFk")
	 @NotNull(message = "Nama Asuransi Harus Diisi")
	 @Caption(value = "Nama Asuransi")
	private NamaAsuransiVO namaAsuransi;
	public NamaAsuransiVO getNamaAsuransi() {
		return namaAsuransi;
	}
	public void setNamaAsuransi(NamaAsuransiVO namaAsuransi) {
		this.namaAsuransi = namaAsuransi;
	}
	@Column(name = "NamaAsuransiFk", insertable=false,updatable=false)
	private String namaAsuransiId;

	@Column(name = "BPJSNaker", nullable = false , length = 100)
	 @Caption(value = "BPJSNaker")
	private String BPJSNaker ;
	public String getBPJSNaker() {
		return BPJSNaker ;
	}
	public void setBPJSNaker(String BPJSNaker ) {
		this.BPJSNaker  = BPJSNaker ;
	}


}